/* indices are _ugen_ indices, not _sclang_ indices */
+ Object {
	*numberOfChannelsInput {^nil} /* nil | int */
	*inputReordering {^nil} /* nil | [int] */
	*flattensMCE {^nil} /* nil | int */
	*enumerationInputs {^Dictionary.new(2)} /* Dictionary int symbol */
	*isFilter {^nil} /* nil | int | [int] */
	*isDeterministic {^true} /* bool */
}

/* these inputs are, in fact, all named 'numChannels' or 'numChans'... */
+ BufRd {*numberOfChannelsInput {^0}}
+ DecodeB2 {*numberOfChannelsInput {^0}}
+ DiskIn {*numberOfChannelsInput {^0}}
+ GrainBuf {*numberOfChannelsInput {^0}}
+ GrainFM {*numberOfChannelsInput {^0}}
+ GrainIn {*numberOfChannelsInput {^0}}
+ GrainSin {*numberOfChannelsInput {^0}}
+ In {*numberOfChannelsInput {^1}}
+ InFeedback {*numberOfChannelsInput {^1}}
+ InTrig {*numberOfChannelsInput {^1}}
+ LagIn {*numberOfChannelsInput {^0}}
+ LocalIn {*numberOfChannelsInput {^0}}
+ LoopBuf {*numberOfChannelsInput {^0}}
+ DecodeB2 {*numberOfChannelsInput {^0}}
+ PanAz {*numberOfChannelsInput {^0}}
+ TGrains {*numberOfChannelsInput {^0}}
+ TGrains2 {*numberOfChannelsInput {^0}}
+ TGrains3 {*numberOfChannelsInput {^0}}
+ Tap {*numberOfChannelsInput {^0}}
+ VBAP {*numberOfChannelsInput {^0}}
+ VDiskIn {*numberOfChannelsInput {^0}}
+ Warp1 {*numberOfChannelsInput {^0}}
+ WarpZ {*numberOfChannelsInput {^0}}

+ BufWr {*inputReordering {^[3,0,1,2]}}
+ Drand {*inputReordering {^[1,0]}}
+ Dseq {*inputReordering {^[1,0]}}
+ Dser {*inputReordering {^[1,0]}}
+ Dswitch {*inputReordering {^[1,0]}}
+ Dswitch1 {*inputReordering {^[1,0]}}
+ Dxrand {*inputReordering {^[1,0]}}
+ Klank {*inputReordering {^[4,0,1,2,3]}}
+ PackFFT {*inputReordering {^[0,1,6,2,3,4]}} /* 5: implicit */
+ RecordBuf {*inputReordering {^[8,0,1,2,3,4,5,6,7]}}
+ TWindex {*inputReordering {^[0,2,1]}}

+ BufWr {*flattensMCE {^3}}
+ DiskOut {*flattensMCE {^1}}
+ Drand {*flattensMCE {^1}}
+ Dseq {*flattensMCE {^1}}
+ Dser {*flattensMCE {^1}}
+ Dswitch {*flattensMCE {^1}}
+ Dswitch1 {*flattensMCE {^1}}
+ Dxrand {*flattensMCE {^1}}
+ Klank {*flattensMCE {^4}}
+ LocalOut {*flattensMCE {^0}}
+ OffsetOut {*flattensMCE {^1}}
+ Out {*flattensMCE {^1}}
+ PackFFT {*flattensMCE {^5}}
+ RecordBuf {*flattensMCE {^8}}
+ ReplaceOut {*flattensMCE {^1}}
+ Select {*flattensMCE {^1}}
+ TWindex {*flattensMCE {^2}}
+ XOut {*flattensMCE {^2}}

+ BufRd {*enumerationInputs {^(2:'Loop',3:'Interpolation')}}
+ BufWr {*enumerationInputs {^(2:'Loop')}}
+ DetectSilence {*enumerationInputs {^(3:'DoneAction')}}
+ DiskIn {*enumerationInputs {^(1:'Loop')}}
+ Dbufrd {*enumerationInputs {^(2:'Loop')}}
+ Dbufwr {*enumerationInputs {^(3:'Loop')}}
+ DemandEnvGen {*enumerationInputs {^(9:'DoneAction')}}
+ Duty {*enumerationInputs {^(3:'DoneAction')}}
+ EnvGen {*enumerationInputs {^(4:'DoneAction')}}
+ LFGauss {*enumerationInputs {^(3:'Loop',4:'DoneAction')}}
+ Line {*enumerationInputs {^(3:'DoneAction')}}
+ Linen {*enumerationInputs {^(4:'DoneAction')}}
+ XLine {*enumerationInputs {^(3:'DoneAction')}}
+ PlayBuf {*enumerationInputs {^(4:'Loop',5:'DoneAction')}}
+ RecordBuf {*enumerationInputs {^(5:'Loop',7:'DoneAction')}}
+ TDuty {*enumerationInputs {^(2:'DoneAction')}}
+ VDiskIn {*enumerationInputs {^(2:'Loop')}}

+ AllpassC {*isFilter {^0}}
+ AllpassL {*isFilter {^0}}
+ AllpassN {*isFilter {^0}}
+ BAllPass {*isFilter {^0}}
+ BBandPass {*isFilter {^0}}
+ BBandStop {*isFilter {^0}}
+ BHiPass {*isFilter {^0}}
+ BHiShelf {*isFilter {^0}}
+ BLowPass {*isFilter {^0}}
+ BLowShelf {*isFilter {^0}}
+ BPF {*isFilter {^0}}
+ BPZ2 {*isFilter {^0}}
+ BPeakEQ {*isFilter {^0}}
+ BRF {*isFilter {^0}}
+ BRZ2 {*isFilter {^0}}
+ Clip {*isFilter {^0}}
+ CombC {*isFilter {^0}}
+ CombL {*isFilter {^0}}
+ CombN {*isFilter {^0}}
+ Compander {*isFilter {^0}}
+ Decay {*isFilter {^0}}
+ Decay2 {*isFilter {^0}}
+ DegreeToKey {*isFilter {^1}}
+ Delay1 {*isFilter {^0}}
+ Delay2 {*isFilter {^0}}
+ DelayC {*isFilter {^0}}
+ DelayL {*isFilter {^0}}
+ DelayN {*isFilter {^0}}
+ FOS {*isFilter {^0}}
+ Fold {*isFilter {^0}}
+ Formlet {*isFilter {^0}}
+ FreeVerb {*isFilter {^0}}
+ FreeVerb2 {*isFilter {^0}}
+ GVerb {*isFilter {^0}}
+ Gate {*isFilter {^0}}
+ HPF {*isFilter {^0}}
+ HPZ1 {*isFilter {^0}}
+ HPZ2 {*isFilter {^0}}
+ Hasher {*isFilter {^0}}
+ Hilbert {*isFilter {^0}}
+ InRange {*isFilter {^0}}
+ Klank {*isFilter {^0}}
+ LPF {*isFilter {^0}}
+ LPZ1 {*isFilter {^0}}
+ LPZ2 {*isFilter {^0}}
+ Lag {*isFilter {^0}}
+ Lag2 {*isFilter {^0}}
+ Lag2UD {*isFilter {^0}}
+ Lag3 {*isFilter {^0}}
+ Lag3UD {*isFilter {^0}}
+ LagUD {*isFilter {^0}}
+ LastValue {*isFilter {^0}}
+ Latch {*isFilter {^0}}
+ LeakDC {*isFilter {^0}}
+ Limiter {*isFilter {^0}}
+ LinExp {*isFilter {^0}}
+ MantissaMask {*isFilter {^0}}
+ Median {*isFilter {^1}}
+ MidEQ {*isFilter {^0}}
+ MoogFF {*isFilter {^0}}
+ MostChange {*isFilter {^[0,1]}}
+ MulAdd {*isFilter {^0}}
+ Normalizer {*isFilter {^0}}
+ OnePole {*isFilter {^0}}
+ OneZero {*isFilter {^0}}
+ Peak {*isFilter {^0}}
+ PitchShift {*isFilter {^0}}
+ Pluck {*isFilter {^0}}
+ PulseCount {*isFilter {^0}}
+ PulseDivider {*isFilter {^0}}
+ RHPF {*isFilter {^0}}
+ RLPF {*isFilter {^0}}
+ Ramp {*isFilter {^0}}
+ Resonz {*isFilter {^0}}
+ Ringz {*isFilter {^0}}
+ RunningMax {*isFilter {^0}}
+ RunningMin {*isFilter {^0}}
+ RunningSum {*isFilter {^0}}
+ SOS {*isFilter {^0}}
+ Select {*isFilter {^0}}
+ SendReply {*isFilter {^0}}
+ SendTrig {*isFilter {^0}}
+ SetResetFF {*isFilter {^0}}
+ Shaper {*isFilter {^1}}
+ Slew {*isFilter {^0}}
+ Stepper {*isFilter {^0}}
+ Sweep {*isFilter {^0}}
+ TDelay {*isFilter {^0}}
+ Timer {*isFilter {^0}}
+ ToggleFF {*isFilter {^0}}
+ Trig {*isFilter {^0}}
+ Trig1 {*isFilter {^0}}
+ TwoPole {*isFilter {^0}}
+ TwoZero {*isFilter {^0}}
+ Wrap {*isFilter {^0}}
+ WrapIndex {*isFilter {^0}}
